=== debian/control ===
Source: geany-plugins
Section: devel
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@ubuntu.com>, Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 8.9.0~),
               autotools-dev,
               intltool (>= 0.35),
               geany (>= 0.21),
               libgtk2.0-dev (>= 2.16),
               libglib2.0-dev (>= 2.18),
               libenchant-dev (>= 1.3),
               libgtkspell-dev,
               liblua5.1-dev,
               libctpl-dev (>= 0.3),
               python-docutils,
               libxml2-dev (>= 2.6.27),
               libsoup2.4-dev (>= 2.4.0),
               libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
               libgdk-pixbuf2.0-dev (>= 2.0),
               libgpgme11-dev,
               libvte-dev,
Standards-Version: 3.9.2
Homepage: http://plugins.geany.org
Vcs-Git: git://git.debian.org/git/pkg-geany/packages/geany-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/geany-plugins.git

Package: geany-plugins
Architecture: all
Depends: geany-plugin-addons (>= ${source:Version}),
         geany-plugin-codenav (>= ${source:Version}),
         geany-plugin-debugger (>= ${source:Version}),
         geany-plugin-doc (>= ${source:Version}),
         geany-plugin-extrasel (>= ${source:Version}),
         geany-plugin-gdb (>= ${source:Version}),
         geany-plugin-gendoc (>= ${source:Version}),
         geany-plugin-gproject (>= ${source:Version}),
         geany-plugin-insertnum (>= ${source:Version}),
         geany-plugin-latex (>= ${source:Version}),
         geany-plugin-lipsum (>= ${source:Version}),
         geany-plugin-lua (>= ${source:Version}),
         geany-plugin-macro (>= ${source:Version}),
         geany-plugin-numberedbookmarks (>= ${source:Version}),
         geany-plugin-pg (>= ${source:Version}),
         geany-plugin-prj (>= ${source:Version}),
         geany-plugin-sendmail (>= ${source:Version}),
         geany-plugin-tableconvert (>= ${source:Version}),
         geany-plugin-vc (>= ${source:Version}),
         geany-plugin-prettyprinter (>= ${source:Version}),
         geany-plugin-shiftcolumn (>= ${source:Version}),
         geany-plugin-spellcheck (>= ${source:Version}),
         geany-plugin-treebrowser (>= ${source:Version}),
         geany-plugin-updatechecker (>= ${source:Version}),
         geany-plugin-webhelper (>= ${source:Version}),
         geany-plugin-xmlsnippets (>= ${source:Version}),
         ${misc:Depends}
Description: set of plugins for Geany
 This is a metapackage which installs the whole set of plugins for Geany.
 .
 Geany is a fast and lightweight IDE.

Package: geany-plugins-common
Architecture: all
Depends: geany (>= ${geany:Version}),
         ${geany:ABI},
         ${misc:Depends}
Breaks: geany-plugin-addons (<< 0.19),
        geany-plugin-doc (<< 0.19),
        geany-plugin-gdb (<< 0.19),
        geany-plugin-latex (<< 0.19),
        geany-plugin-lipsum (<< 0.19),
        geany-plugin-lua (<< 0.19),
        geany-plugin-prj (<< 0.19),
        geany-plugin-sendmail (<< 0.19),
        geany-plugin-vc (<< 0.19),
        geany-plugin-shiftcolumn (<< 0.19),
        geany-plugin-spellcheck (<< 0.19)
Description: set of plugins for Geany (translations)
 This package contains translations for the Geany Plugins. You probably do not
 want to install this package directly, but instead install one of the other
 plugins packages.

Package: geany-plugin-addons
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: miscellanous plugins for Geany
 This plugin adds various small addons to Geany which aren't worth an
 individual plugin, but might still be useful for people.
  * DocList: This addon places a new item in the toolbar and when clicked
    offers a menu listing all open files plus the 'Close All' and 'Close Other
    Documents' menu items. This can be useful to quickly access open files and
    switch to them.
  * OpenURI: Adds 'Open URI' and 'Copy URI' menu items to the editor menu when
    the word under the cursor looks like a URI. 'Open URI' uses the browser
    command configured in Geany to open it.
  * Tasks: The tasks plugin goes through a file being edited and picks out
    lines with "TODO" or "FIXME" in them. It collects the text after those words
    and putsthem in a new "Tasks" tab in the message window. Clicking on a task
    in thattab takes you to the line in the file where the task was defined.
  * Systray: Adds a status icon to the notification area (systray) and
    providesa simple popup menu with some basic actions. It can also be used
    to quickly show and hide the Geany main window.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-codenav
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: code navigation plugin for Geany
 This plugin adds some facilities for navigating in code using Geany, making it
 possible to:
  * Switch between header and implementation
  * Go to a file by typing its name
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-debugger
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: debugger plugin for Geany
 Features:
  * Debugger panel
  * Setting target, environment variables and command line arguments
  * Breakpoints
  * Watches, autos
  * Debug terminal
  * Debugger messages window
  * Variables calltips while debugging
  * Saving debug session data in a Geany project (can be switched through
    settings)
  * Double or single panel modes
  * Hotkeys
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-doc
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: documentation plugin for Geany
 Geanydoc is a plugin for the Geany IDE which is intended to be used to search
 for documentation API from different sources. It allows execution of specified
 commands on the current word at the cursor position or otherwise specified via
 a dialog to obtain this documentation. This documentation is displayed in the
 geany buffer as a tab called *DOC*, or may be displayed in an external program.
 .
 After installing this package, you'll need to enable the "Doc" plugin
 and then setup a keyword binding for it in Geany's preferences dialogue.
 .
 Geany is a small and lightweight integrated development environment using the
 GTK+ toolkit.

Package: geany-plugin-extrasel
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: extra selection plugin for Geany
 The Extra Selection plugin adds the following functions to Geany:-
  * Go to matching brace and select (select to matching brace)
  * Go to line and select (select to line)
  * Ctrl+Shift+Alt+Left/Right/Home/End key - same as Ctrl+Shift, but for
    rectangular selection.
  * Column mode - while active, all (Ctrl)-Shift-Arrow keys do rectangle
    selection instead of stream.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-gdb
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         gdb,
         ${shlibs:Depends}, ${misc:Depends}
Description: GDB plugin for Geany
 GeanyGDB is a plugin for Geany which provides integrated debugging support
 within Geany via the GNU Debugger (gdb).
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.
 .
 The GNU Debugger is a source-level debugger for C, C++, Fortran, Modula 2 and
 Java programs.

Package: geany-plugin-gendoc
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: documentation generation plugin for Geany
 GeanyGenDoc is a plugin for Geany which provides support for automatically
 generating documentation based on comments in the source code.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.


Package: geany-plugin-gproject
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: gproject plugin for Geany
 GProject is an extension of Geany's project management displaying a
 tree of files belonging to the project in the sidebar. In addition, it
 enables quick swapping between header and source files, searching
 project files by name and more. 
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-insertnum
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: number inserting plugin for Geany
 This plugin for Geany replaces a (possibly zero-width) rectangular selection
 with integer numbers, using start/step/base etc. specified by the user. For
 practical reasons, the number of lines is limited to 500000.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-latex
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: improved LaTeX support plugin for Geany
 GeanyLaTeX is a plugin for the Geany IDE to improve work with LaTeX. Features
 include:
  * Wizard for creating a new LaTeX-document
  * Frontend for easy input of \ref{} and \label{}
  * Easy adding of special characters and environments through plugin menu entry
  * Support for adding new items to BibTeX database
  * Toolbar with commonly used format options
  * Bulk replacement and input replacement of special characters
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-lipsum
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Lorem Ipsum generator plugin for Geany
 GeanyLipsum is a plugin for Geany which implements a Lorem Ipsum generator to
 insert placeholder text into your document.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-lua
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Lua scripting plugin for Geany
 GeanyLua is a plugin which provides a Lua scripting interface for the Geany
 IDE.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-macro
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: macro plugin for Geany
 Geanymacro is a plugin to provide user defined macros for Geany.
 This plugin allows you to record and use your own macros. Macros are
 sequences of actions that can then be repeated with a single key 
 combination. So if you had dozens of lines where you wanted to delete
 the last 2 characters, you could simple start recording, press End, 
 Backspace, Backspace, down line and then stop recording. Then simply
 trigger the macro and it would automatically edit the line and move to
 the next.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-numberedbookmarks
Architecture: any
Depends: geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: numbered bookmarks plugin for Geany
 Geanynumberedbookmarks is a plugin to provide users with 10 numbered
