=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS += -Wl,--as-needed -Wl,-z,defs

GEANY_VERSION = $(shell pkg-config --modversion geany)
GEANY_ABI = geany-abi-$(shell grep 'define GEANY_ABI_VERSION' /usr/include/geany/plugindata.h | awk '{print $$3}')
GEANY_API = geany-api-$(shell grep 'define GEANY_API_VERSION' /usr/include/geany/plugindata.h | awk '{print $$3}')

# specify libexecdir to avoid cascading geany-plugins directories in /usr/lib
override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir='$${exec_prefix}/lib' \
		--enable-addons \
		--enable-codenav \
		--enable-debugger \
		--enable-geanydoc \
		--enable-geanyextrasel \
		--enable-geanygdb \
		--enable-geanygendoc \
		--enable-geanyinsertnum \
		--enable-geanylatex \
		--enable-geanylipsum \
		--enable-geanylua \
		--enable-geanymacro \
		--enable-geanynumberedbookmarks \
		--enable-geanypg \
		--enable-geanyprj \
		--enable-geanysendmail \
		--enable-geanyvc \
		--enable-gproject \
		--enable-pretty_printer \
		--enable-shiftcolumn \
		--enable-spellcheck \
		--enable-tableconvert \
		--enable-treebrowser \
		--enable-updatechecker \
		--enable-webhelper \
		--enable-xmlsnippets

# install separate ChangeLogs for each different plugin
override_dh_installchangelogs:
	for changelog in */ChangeLog; do \
		[ ! -s $$changelog ] && continue; \
		if [ $$changelog = po/ChangeLog ]; then \
			pkg=geany-plugins-common; \
		else \
			pkg=geany-plugin-$$(dirname $$changelog | sed -e's/^geany//'); \
		fi; \
		dh_installchangelogs \
			-p$$pkg \
			$$changelog; \
	done
	dh_installchangelogs

# add geany:Version substvar to debian/*.substvars
override_dh_gencontrol:
	dh_gencontrol -- \
		"-Vgeany:Version=$(GEANY_VERSION)" \
		"-Vgeany:ABI=$(GEANY_API)" \
		"-Vgeany:ABI=$(GEANY_ABI)"

# Don't make shlibs (false positive on pretty-printer.so
override_dh_makeshlibs:

override_dh_install:
	dh_install --list-missing

%:
	dh $@
