=== debian/changelog ===
geany-plugins (0.21.1.dfsg-4) unstable; urgency=low

  * [f53b3da] Use new project preference open/close signals in the
    gproject plugin.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 26 Jun 2012 21:02:26 +0200

geany-plugins (0.21.1.dfsg-3) unstable; urgency=low

  [ Chow Loong Jin ]
  * [d75948f] Fix dversionmangle in debian/watch

  [ Evgeni Golov ]
  * [4fd29dc] Build-Depend on dh-autoreconf >= 4 as this introduced
    --as-needed
  * [e7ec0a4] move geany-abi Depends from geany-plugins-common to the
    individual plugins
  * [36bbc4f] Standards-Version: 3.9.3
  * [c0e3469] Build-Depends: debhelper (>= 9)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 19 Jun 2012 20:47:33 +0200

geany-plugins (0.21.1.dfsg-2) unstable; urgency=low

  * [9e2298b] Add gmodule-2.0 to geanylua deps.
    This fixes an FTBFS while linking geanylua due to missing symbols in Ubuntu
    Precise. (LP: #935110)
  * [becc080] Use dh-autoreconf.
    Also drop 99_ltmain_as-needed.patch as dh-autoreconf handles the patching.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Feb 2012 02:03:04 +0800

geany-plugins (0.21.1.dfsg-1) unstable; urgency=low

  * [1439d18] Add Enhances: geany to all plugins and metapackage
  * [aefccbd] Fix typo in specifying geany:API substvar
  * [c86590d] Add version to libvte-dev build-dep
  * [dff6cc0] Implement repacking of tarball to remove waf
  * [ba9f6b4] Imported Upstream version 0.21.1.dfsg (Closes: #654467)
  * [1568b1f] Change my email address

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Jan 2012 02:11:03 +0800
