=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Chow Loong Jin <hyperair@ubuntu.com>, Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 8.9.0~),
+Uploaders: Chow Loong Jin <hyperair@debian.org>, Evgeni Golov <evgeni@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf (>= 4),
                autotools-dev,
                intltool (>= 0.35),
                geany (>= 0.21),
@@ -19,14 +20,15 @@
                libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
                libgdk-pixbuf2.0-dev (>= 2.0),
                libgpgme11-dev,
-               libvte-dev,
-Standards-Version: 3.9.2
+               libvte-dev (>= 0.24)
+Standards-Version: 3.9.3
 Homepage: http://plugins.geany.org
 Vcs-Git: git://git.debian.org/git/pkg-geany/packages/geany-plugins.git
 Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/geany-plugins.git
 
 Package: geany-plugins
 Architecture: all
+Enhances: geany
 Depends: geany-plugin-addons (>= ${source:Version}),
          geany-plugin-codenav (>= ${source:Version}),
          geany-plugin-debugger (>= ${source:Version}),
@@ -62,7 +64,6 @@
 Package: geany-plugins-common
 Architecture: all
 Depends: geany (>= ${geany:Version}),
-         ${geany:ABI},
          ${misc:Depends}
 Breaks: geany-plugin-addons (<< 0.19),
         geany-plugin-doc (<< 0.19),
@@ -81,8 +82,9 @@
  plugins packages.
 
 Package: geany-plugin-addons
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: miscellanous plugins for Geany
  This plugin adds various small addons to Geany which aren't worth an
@@ -106,8 +108,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-codenav
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: code navigation plugin for Geany
  This plugin adds some facilities for navigating in code using Geany, making it
@@ -119,8 +122,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-debugger
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: debugger plugin for Geany
  Features:
@@ -140,8 +144,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-doc
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: documentation plugin for Geany
  Geanydoc is a plugin for the Geany IDE which is intended to be used to search
@@ -157,8 +162,9 @@
  GTK+ toolkit.
 
 Package: geany-plugin-extrasel
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: extra selection plugin for Geany
  The Extra Selection plugin adds the following functions to Geany:-
@@ -173,8 +179,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-gdb
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          gdb,
          ${shlibs:Depends}, ${misc:Depends}
 Description: GDB plugin for Geany
@@ -188,8 +195,9 @@
  Java programs.
 
 Package: geany-plugin-gendoc
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: documentation generation plugin for Geany
  GeanyGenDoc is a plugin for Geany which provides support for automatically
@@ -200,8 +208,9 @@
 
 
 Package: geany-plugin-gproject
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: gproject plugin for Geany
  GProject is an extension of Geany's project management displaying a
@@ -213,8 +222,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-insertnum
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: number inserting plugin for Geany
  This plugin for Geany replaces a (possibly zero-width) rectangular selection
@@ -225,8 +235,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-latex
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: improved LaTeX support plugin for Geany
  GeanyLaTeX is a plugin for the Geany IDE to improve work with LaTeX. Features
@@ -242,8 +253,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-lipsum
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: Lorem Ipsum generator plugin for Geany
  GeanyLipsum is a plugin for Geany which implements a Lorem Ipsum generator to
@@ -253,8 +265,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-lua
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: Lua scripting plugin for Geany
  GeanyLua is a plugin which provides a Lua scripting interface for the Geany
@@ -264,8 +277,9 @@
  Gtk+ toolkit.
 
 Package: geany-plugin-macro
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: macro plugin for Geany
  Geanymacro is a plugin to provide user defined macros for Geany.
@@ -274,15 +288,3 @@
  combination. So if you had dozens of lines where you wanted to delete
  the last 2 characters, you could simple start recording, press End, 
  Backspace, Backspace, down line and then stop recording. Then simply
- trigger the macro and it would automatically edit the line and move to
- the next.
- .
- Geany is a small and lightweight integrated development environment using the
- Gtk+ toolkit.
-
-Package: geany-plugin-numberedbookmarks
-Architecture: any
-Depends: geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: numbered bookmarks plugin for Geany
- Geanynumberedbookmarks is a plugin to provide users with 10 numbered
