=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 GEANY_VERSION = $(shell pkg-config --modversion geany)
 GEANY_ABI = geany-abi-$(shell grep 'define GEANY_ABI_VERSION' /usr/include/geany/plugindata.h | awk '{print $$3}')
 GEANY_API = geany-api-$(shell grep 'define GEANY_API_VERSION' /usr/include/geany/plugindata.h | awk '{print $$3}')
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 # specify libexecdir to avoid cascading geany-plugins directories in /usr/lib
 override_dh_auto_configure:
@@ -56,7 +59,7 @@
 override_dh_gencontrol:
 	dh_gencontrol -- \
 		"-Vgeany:Version=$(GEANY_VERSION)" \
-		"-Vgeany:ABI=$(GEANY_API)" \
+		"-Vgeany:API=$(GEANY_API)" \
 		"-Vgeany:ABI=$(GEANY_ABI)"
 
 # Don't make shlibs (false positive on pretty-printer.so
@@ -66,4 +69,16 @@
 	dh_install --list-missing
 
 %:
-	dh $@
+	dh $@ --with=autoreconf
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\.dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version).dfsg
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/waf
+	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)
