=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\.dfsg(\.\d+)?$// \
http://plugins.geany.org/geany-plugins/geany-plugins-(.*).tar.gz
