## geany-plugins 1.23%2Bdfsg

=== debian/changelog ===
geany-plugins (1.23+dfsg-3) unstable; urgency=low

  * No-change upload to unstable now that freeze is over

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 May 2013 15:45:38 +0800

geany-plugins (1.23+dfsg-2) experimental; urgency=low

  * [c25de03] Add reference to /usr/share/common-licenses/GPL-1
  * [f1273ba] Include buildflags.mk.
    This fixes hardening-no-relro, which was caused by us overriding LDFLAGS.
  * [db37f6b] Drop hardening-no-relro from lintian overrides

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 31 Mar 2013 18:02:38 +0800

geany-plugins (1.23+dfsg-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * [d617de5] Imported Upstream version 1.23
  * [fa625d4] Update configure flags

  [ Evgeni Golov ]
  * [ea13bdb] drop patch against geanylatex, applied upstream
  * [e1d875e] drop geany-plugin-gdb, it's not shipped upstream anymore
  * [4c980c5] enable the markdown plugin
  * [c8f6e33] create packages for the new plugins and install them there
  * [aac1b14] load help files from Debian's locations
  * [64e1be8] use libmarkdown instead of peg markdown
  * [762e8e0] update d/copyright for the added and removed plugins

  [ Chow Loong Jin ]
  * [c127275] Bump geany build-dep
  * [e1a066a] Override hardening-no-relro
  * [22845f0] Bump Standards-Version to 3.9.4
  * [8f028e0] Add MIT and GPL-1+ paragraphs

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 31 Mar 2013 01:43:01 +0800

geany-plugins (1.22+dfsg-2) experimental; urgency=low

  * [84061f4] Update copyright file
  * [418a783] Enable parallel builds

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 12 Jul 2012 18:26:52 +0800

geany-plugins (1.22+dfsg-1) experimental; urgency=low

  * [8cc36bf] Add missing epoch to libvte-dev build-dep
  * [62e2e05] Imported Upstream version 1.22
  * [f266578] Create packages for new plugins
    - geany-plugin-devhelp
    - geany-plugin-geniuspaste
    - geany-plugin-miniscript
    - geany-plugin-multiterm
  * [2d89ff4] Update geany version in build-deps
  * [372a69e] Drop all patches (applied upstream)
  * [cbc8c50] Add build-deps for devhelp and multiterm plugins
    - libwnck-dev
    - libgconf2-dev
    - valac
  * [62b114a] Update g-p-prettyprinter.install
    pretty-print.so was renamed to pretty-printer.so
  * [aaf46de] Patch geanylatex to install its docs correctly
  * [ec6b40a] Use +dfsg instead of .dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 12 Jul 2012 17:07:42 +0800
